﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
'***** DO NOT DELETE OR CHANGE THIS FILE *****
#IgnoreWarnings:12, 9
Sub Process_Globals
	'this is the name of the page
	Public name As String = "adblank"
	Public title As String = "AD Blank"
	Public icon As String = "fa-solid fa-swatchbook"
	'this variable holds the page controller
	Public page As SDUIPage
	'this variable holds reference to the app
	'usually for constants and other things
	Public app As SDUIApp
	'the variable referencing banano lib
	Private banano As BANano		'ignore
End Sub

'sub to show the page
Sub Show(duiapp As SDUIApp)			'ignore
	Log("get the reference to the app")
	app = duiapp
	Log("build the page, via code or loadlayouts")
	BuildPage
End Sub


Sub getName As String
	Return name
End Sub

Sub getIcon As String
	Return icon
End Sub

Sub getTitle As String
	Return title
End Sub


private Sub BuildPage
	Log("start build page")
	page.Root.DesignMode(False)
	Log("center the page container")
	page.Root.MXAuto
	Log("add 5 rows, each having 2 columns, each spanning 6")
	page.Root.AddRows5.AddColumns12
	
	Log("build the grid")
	' Uncaught (in promise) TypeError: Cannot read properties of null (reading 'append')
	page.Root.BuildGrid
	
	Dim t1 As SDUILabel = page.Cell(1, 1).AddH1("t1", "Welcome to SithasoDaisy")
	t1.Root.textSize("4xl").fontBold.animateBounce.textColorIntensity("indigo", 500)
	'
	Dim items As List = app.CreateList
	items.Add("What is SithasoDaisy ?")
	
	Dim faq As SDUICollapsePanels = page.Cell(2, 1).AddCollapsePanels("faq", False, items)
	faq.Active = 1
	'
	Dim p1 As SDUIDiv = faq.Panel(1)
	Dim faq1L As SDUIList = p1.AddList("faq1", False, 4, 4)
	faq1L.listDisc
	faq1L.AddListItemLabel("q1_1", "SithasoDaisy is the new-west b4xlib (library) from Sithaso Holdings that is based on TailwindCSS. The libray is inspired by the DaisyUI component library, to help you create your WebApps using the basic programming language called 'b4x'.")
	faq1L.AddListItemLabel("q1_2", "SithasoDaisy comes with more than 47 already built in components to help you create your next powerful Web Apps.")
	faq1L.AddListItemLabel("q1_3", "To create our Web Apps, we will use a RAD IDE tool called 'b4j' (basic4java). This uses a programming language called 'b4x', a Visual Basic variant.")
	faq1L.AddListItemLabel("q1_5", "To get our b4x source code as javascript, a b4j plugin called 'BANano' will be used. This transpiles our source code from b4x to native JavaScript, CSS and HTML.")
	faq1L.AddListItemLabel("q1_4", "With SithasoDaisy, you are unlikely to write any HTML, CSS or JavaScript.")
	faq1L.AddListItemLabelAnchor("q1_6", "Download the eBook to get started right away.", "https://github.com/Mashiane/SithasoDaisyUI/raw/main/TailwindCSS%20WebApps%20using%20B4X.pdf")
End Sub
